<!-- 无聊天对话时，在 message 区域-->
<template>
  <div class="conversation-empty">
    <div class="center-container">
      <div class="title no-data">暂无数据</div>
      <div class="title">欢迎来到转炉煤气调度大模型</div>
    </div>
  </div>
</template>
<script setup lang="ts">
const emits = defineEmits(['onNewConversation'])

import roleAvatarDefaultImg from '@/assets/ai/zhuanlu/assistant.png'

const roleAvatar = roleAvatarDefaultImg

</script>
<style scoped lang="scss">
.conversation-empty {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
  height: 100%;

  .box-center {
    margin-top: 35%;
    margin-left: 12%;
    display: inline-block;

    .tip {
      width: 120px;
      height: 40px;
      padding: 2px 0 0 10px;
      border-radius: 2px;
      font-family: Alimama ShuHeiTi, Alimama ShuHeiTi;
      font-weight: bold;
      font-size: 24px;
      text-align: left;
      font-style: normal;
      text-transform: none;
      background: linear-gradient(0deg, #49FFD3 0%, #4585FF 100%);
    }
  }

  .conversation-empty {
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;
    height: 100%;

    .center-container {
      display: flex;
      flex-direction: column;
      justify-content: center;

      .title {
        width: 120px;
        height: 40px;
        padding: 2px 0 0 10px;
        border-radius: 2px;
        font-family: Alimama ShuHeiTi, Alimama ShuHeiTi;
        font-weight: bold;
        font-size: 24px;
        text-align: left;
        font-style: normal;
        text-transform: none;
        background: linear-gradient(0deg, #49FFD3 0%, #4585FF 100%);
      }
      .no-data {
        color: rgba(143,214,254,0.8) !important;
      }
    }
  }
}
</style>
